Subject: [MMUSIC] FW: [Speechsc] IANA considerations for group feedback

From: "Reifenrath, Klaus" <[email-masked]>
Date: Wed, 9 Feb 2005 10:28:46 -0500

Hi mmusic WG!

For MRCPv2 the speechsc WG likes to use the media type "control" and
believes to have a good use case for it.  
>From my understanding of
http://www.ietf.org/internet-drafts/draft-ietf-mmusic-sdp-new-23.txt we do
not need to register "control", but would still need to have an IANA section
on this in our spec. What do you think?

Thanks,
Klaus

-----Original Message-----
From: Dan Burnett [mailto:[email-masked]]
Sent: Mittwoch, 9. Februar 2005 16:02
To: David R Oran; Sarvi Shanmugham
Cc: [email-masked]'; [email-masked]; Reifenrath, Klaus
Subject: Re: [Speechsc] IANA considerations for group feedback

Just to be clear, there are no IANA considerations
here, right?  The "control" type exists and we do not
need to request any sort of registration because of
our documented use, right?

--- David R Oran <[email-masked]> wrote:

> 
> On Jan 27, 2005, at 12:57 PM, Sarvi Shanmugham
> wrote:
> 
> >  Which is exactly what is being done here.
> >
> >  So we are fine.
> >
> Yes, I agree this is fine.
> 
> >  Sarvi
> >  Reifenrath, Klaus wrote:
> > Quoting from
> > 
>
http://www.ietf.org/internet-drafts/draft-ietf-mmusic-sdp-new-23.txt:
> >    Note: The media types "control" and "data" were
> listed as valid in
> >    the previous version of this specification [6],
> however their
> >    semantics were never fully specified and they
> are not widely used.
> >    These media types have been removed in this
> specification, although
> >    they still remain valid media type capabilities
> for a SIP user agent
> >    as defined in RFC 3840 [23].  If these media
> types are considered
> >    useful in future, a Standards Track RFC MUST be
> produced to document
> >    their use.  Until that is done, applications
> SHOULD NOT use these
> >    types and SHOULD NOT declare support for them
> in SIP capabilities
> >    declarations (even though they exist in the
> registry created by RFC
> >    3840).
> >
> > -----Original Message-----
> > From: Thomas Gal [ mailto:[email-masked] ]
> > Sent: Mittwoch, 26. Januar 2005 20:48
> > To: 'Dan Burnett'; 'Reifenrath, Klaus'
> > Cc: [email-masked]
> > Subject: RE: [Speechsc] IANA considerations for
> group feedback
> >
> >
> >  [email-masked]
> >
> > -Tom
> >
> >  [email-masked]
> >
> >
> > -----Original Message-----
> > From: [email-masked]
> > [ mailto:[email-masked] ] On Behalf Of
> Dan Burnett
> > Sent: Wednesday, January 26, 2005 10:15 AM
> > To: Reifenrath, Klaus
> > Cc: [email-masked]
> > Subject: RE: [Speechsc] IANA considerations for
> group feedback
> >
> > I agree that there needs to be an registration of
> > application/x-nlsml (or, as an email from Tom
> pointed out,
> > application/nlsml).  Technically it should be in a
> separate
> > RFC from MRCP, but I can include it in the draft
> if there are
> > no objections.
> >
> >
> > I would certainly agree with not using
> "application/nlsml" but 
> > something
> > similar to obviate confusion, even mrcp-nlsml or
> something.
> >
> >
> > If "control" is already registered, do we need to
> do it?  In
> > short, it's not clear to me in which
> > namespace(s) the SDP items you mention should be
> registered.
> > Are they new namespaces for MRCP or are there
> existing
> > namespaces to which the items should be added?
> >
> >
> > Isn't MRCPv2 "control"? I would guess control is
> too ambiguous and 
> > probably
> > why it's being deprecated.
> >
> > -Tom
> >
> > _______________________________________________
> > Speechsc mailing list
> >  [email-masked]
> >  https://www1.ietf.org/mailman/listinfo/speechsc
> >
> >
> >
> >  _______________________________________________
> > Speechsc mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/speechsc
> >
> David R. Oran
> Cisco Fellow
> Cisco Systems
> 7 Ladyslipper Lane
> Acton, MA 01720 USA
> Tel: +1 978 264 2048
> Email: [email-masked]
> 
> _______________________________________________
> Speechsc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speechsc
> 

__________________________________ 
Do you Yahoo!? 
Meet the all-new My Yahoo! - Try it today! 
http://my.yahoo.com 

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic

---

From: Colin Perkins <[email-masked]>
Date: Wed, 16 Feb 2005 11:41:28 +0000

Section 8.2.1 of sdp-new-23 states that the "control" top-level media 
type is not registered, and SHOULD NOT be used:

    Note: The media types "control" and "data" were listed as valid in
    the previous version of this specification [6], however their
    semantics were never fully specified and they are not widely used.
    These media types have been removed in this specification, although
    they still remain valid media type capabilities for a SIP user agent
    as defined in RFC 3840 [23].  If these media types are considered
    useful in future, a Standards Track RFC MUST be produced to document
    their use.  Until that is done, applications SHOULD NOT use these
    types and SHOULD NOT declare support for them in SIP capabilities
    declarations (even though they exist in the registry created by RFC
    3840).

If you wish to use a subtype of the "control" media type, then you will 
need to produce a standards track RFC defining the "control" top-level 
MIME type, then register a subtype for MRCPv2 in the IANA 
considerations section of the MRCPv2 draft.

Colin

On 9 Feb 2005, at 15:28, Reifenrath, Klaus wrote:
> not need to register "control", but would still need to have an IANA 
> section on this in our spec. What do you think?
>
> Thanks,
> Klaus
>
>